View Issue Details

IDProjectCategoryView StatusLast Update
0026269Open CASCADEOCCT:Modeling Algorithmspublic2022-03-19 17:18
Reporteraml Assigned Tobugmaster  
PrioritylowSeveritytweak 
Status closedResolutionfixed 
Product Version6.9.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0026269: Modeling Data - Analytical extrema does not take into account trimmed input data
DescriptionThere is problem with extrema package and its API:


Analytical extrema does not take into account trimmed input data. (case 1, case 2)

Steps To ReproduceTest cases
lowalgos extcc bug26269_1, bug26269_2

Reporter's scripts:
#case 1
line l1 0 0 0 1 0 0
line l2 2 0 0 1 0 0
trim l1 l1 0 1
trim l2 l2 0 1
extrema l1 l2

#case 2
circle c1 0 0 0 10
circle c2 0 0 0 5
trim c1 c1 0 1
trim c2 c2 3 4
extrema c1 c2
TagsNo tags attached.
Test case numbertests/lowalgos/extcc/bug26269_1,bug26269_2,bug29712_13,bug29712_21,bug29712_22,bug29712_24,bug29712_25,bug29712_29,bug29712_3,bug29712_32,bug29712_37,bug29712_5

Relationships

related to 0026184 closedbugmaster Open CASCADE GeomAPI_ExtremaCurveCurve hangs on parallel b-spline curves 
related to 0026063 closedbugmaster Open CASCADE GeomAPI_ExtremaCurveSurface have inexact API 
related to 0026075 closedbugmaster Open CASCADE Make Extrema_GenExtCC return IsParallel flag in case of parallel curves 
parent of 0027162 closedabv Open CASCADE Draw command "(2d)extrema" incorrectly represent underlying algorithm results 
parent of 0032874 verifiedazv Community IsParallel() method of Extrema_ExtCC does not give same results in OCC 7.6.0 vs OCC 7.5.0 
related to 0022560 closedbugmaster Community Extrema redesign 
related to 0022525 closedbugmaster Open CASCADE Improvement of Extrema 

Activities

aml

2015-06-29 12:11

developer   ~0042531

Last edited: 2015-06-29 12:12

ExtremaPC:

I
1) bad format of output:

proj c 3.0 3.0 2.0
 parameter 1 = 1.1738953633378706
ext_1 parameter 2 = 2.1611867552406454
ext_2 parameter 3 = 3.5000000059308389
ext_3 parameter 4 = 5.0399884503606023
ext_4 parameter 5 = 5.4804063007678074
ext_5 parameter 6 = 6.2485611263687888
ext_6 parameter 7 = 6.7381612209715556
ext_7 parameter 8 = 1.1738953633378706
ext_8

2) French comments:
proj c 3.999999652077201 5.0000000062915735 5.00002142991819367
 parameter 1 = 0.99910795389207607
ext_1 Le point est sur la courbe.
 Son parametre est U = 0.99910795389207607

II
There is no duplicates handling.

msv

2015-06-29 12:18

developer   ~0042533

Andrey, please validate this bug fix.

abv

2015-06-29 12:40

manager   ~0042535

I deem the proposed changes are quite reasonable, let's proceed (with low priority)

ifv

2021-07-06 17:18

developer   ~0102308

Analysis

ifv

2021-07-08 11:45

developer   ~0102362

Debugging

ifv

2021-08-06 10:16

developer   ~0103021

Solution implementation

git

2021-08-06 14:49

administrator   ~0103027

Branch CR26269 has been created by ifv.

SHA-1: 49413466cd154d7a642c544e36428d2df08786b5


Detailed log of new commits:

Author: ifv
Date: Fri Aug 6 14:49:14 2021 +0300

    0026269: Modeling Data - Analytical extrema does not take into account trimmed input data
    
    Treatment of trimmed data is added
    Extrema/Extrema_ExtCC.cxx
    
    Test cases added
    tests/lowalgos/extcc/bug26269_1
    tests/lowalgos/extcc/bug26269_2

git

2021-08-10 12:42

administrator   ~0103112

Branch CR26269 has been updated forcibly by ifv.

SHA-1: 78fcd988a20bc62058d908483cc7cf6b3a361c28

git

2021-08-13 11:24

administrator   ~0103173

Branch CR26269 has been updated forcibly by ifv.

SHA-1: 05428e70d22712faf667f7431a7ced3a204324e4

git

2021-08-16 10:23

administrator   ~0103226

Branch CR26269 has been updated forcibly by ifv.

SHA-1: 4db8b2732920013437a6cee2ff142e4935e4ab0b

ifv

2021-08-16 11:57

developer   ~0103230

Debugging

ifv

2021-08-16 12:55

developer   ~0103237

Branch CR26269 is ready for review
Branches for integratin:
OCCT - CR26269
Products - not

jgv

2021-08-23 10:19

developer   ~0103343

Remarks only for improvement of style and easiness of reading:

 - rename P1f,P1l,P2f,P2l to myP1f,myP1l,myP2f,myP2l;
 - rename myIsPar to myIsParallel

in the files Extrema_ExtCC.cxx, .hxx.

git

2021-09-01 08:22

administrator   ~0103608

Branch CR26269 has been updated forcibly by jgv.

SHA-1: 69ccb38f2adc3150ff7b9420ab86351ba42d7f49

jgv

2021-09-01 12:11

developer   ~0103614

Reviewed.

Branches for integration:
OCCT - CR26269
Products - not

jgv

2021-09-02 18:34

developer   ~0103691

Reviewing

smoskvin

2021-09-04 14:25

administrator   ~0103756

Combination -
OCCT branch : IR-2021-09-03
master SHA - f26ee38f2a309ffbf7de4eebbcef2c5a5c57d84e
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-09-03 SHA - 87cca1a8f3dd94387a936b9d49f5bd719c69cf4d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17495.94000000042 / 17441.55000000031 [+0.31%]
Products
Total CPU difference: 11565.440000000113 / 11534.270000000102 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19307.140625 / 19200.421875 [+0.56%]
Products
Total CPU difference: 12917.859375 / 12874.53125 [+0.34%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-04 14:59

administrator   ~0103779

Branch CR26269 has been deleted by mnt.

SHA-1: 69ccb38f2adc3150ff7b9420ab86351ba42d7f49

Related Changesets

occt: master 4391df89

2021-08-06 11:49:14

ifv


Committer: bugmaster Details Diff
0026269: Modeling Data - Analytical extrema does not take into account trimmed input data

Treatment of trimmed data is added
Extrema/Extrema_ExtCC.cxx

Test cases added
tests/lowalgos/extcc/bug26269_1
tests/lowalgos/extcc/bug26269_2

Test cases are modified according to new behavior of algorithm
Affected Issues
0026269
mod - src/Extrema/Extrema_ExtCC.cxx Diff File
mod - src/Extrema/Extrema_ExtCC.hxx Diff File
add - tests/lowalgos/extcc/bug26269_1 Diff File
add - tests/lowalgos/extcc/bug26269_2 Diff File
mod - tests/lowalgos/extcc/bug29712_13 Diff File
mod - tests/lowalgos/extcc/bug29712_21 Diff File
mod - tests/lowalgos/extcc/bug29712_22 Diff File
mod - tests/lowalgos/extcc/bug29712_24 Diff File
mod - tests/lowalgos/extcc/bug29712_25 Diff File
mod - tests/lowalgos/extcc/bug29712_29 Diff File
mod - tests/lowalgos/extcc/bug29712_3 Diff File
mod - tests/lowalgos/extcc/bug29712_32 Diff File
mod - tests/lowalgos/extcc/bug29712_37 Diff File
mod - tests/lowalgos/extcc/bug29712_5 Diff File

Issue History

Date Modified Username Field Change
2015-05-26 13:53 aml New Issue
2015-05-26 13:53 aml Assigned To => msv
2015-05-26 13:54 aml Relationship added related to 0026184
2015-05-26 13:54 aml Relationship added related to 0026063
2015-05-26 13:55 aml Relationship added related to 0026075
2015-05-26 13:56 aml Description Updated
2015-05-26 15:02 msv Description Updated
2015-06-29 12:11 aml Note Added: 0042531
2015-06-29 12:12 aml Note Edited: 0042531
2015-06-29 12:18 msv Note Added: 0042533
2015-06-29 12:18 msv Assigned To msv => abv
2015-06-29 12:18 msv Severity minor => tweak
2015-06-29 12:40 abv Note Added: 0042535
2015-06-29 12:40 abv Assigned To abv => aml
2015-06-29 12:40 abv Priority normal => low
2015-06-29 12:40 abv Status new => assigned
2016-02-16 14:02 aml Relationship added parent of 0027162
2016-07-07 07:04 aml Relationship added related to 0022560
2016-07-07 07:04 aml Relationship added related to 0022525
2016-10-28 16:32 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:25 msv Target Version 7.2.0 => Unscheduled
2021-05-14 17:34 szy Assigned To aml => ifv
2021-07-06 17:18 ifv Note Added: 0102308
2021-07-08 11:45 ifv Note Added: 0102362
2021-08-06 10:16 ifv Note Added: 0103021
2021-08-06 14:13 ifv Summary Extrema package revision => Modeling Data - Extrema package revision
2021-08-06 14:19 ifv Summary Modeling Data - Extrema package revision => Modeling Data - Analytical extrema does not take into account trimmed input data
2021-08-06 14:19 ifv Description Updated
2021-08-06 14:49 git Note Added: 0103027
2021-08-10 12:42 git Note Added: 0103112
2021-08-13 11:24 git Note Added: 0103173
2021-08-16 10:23 git Note Added: 0103226
2021-08-16 11:57 ifv Note Added: 0103230
2021-08-16 12:55 ifv Note Added: 0103237
2021-08-16 12:55 ifv Assigned To ifv => jgv
2021-08-16 12:55 ifv Status assigned => resolved
2021-08-16 12:55 ifv Steps to Reproduce Updated
2021-08-23 10:19 jgv Note Added: 0103343
2021-08-23 10:19 jgv Assigned To jgv => ifv
2021-08-23 10:19 jgv Status resolved => assigned
2021-09-01 08:22 git Note Added: 0103608
2021-09-01 12:10 jgv Assigned To ifv => jgv
2021-09-01 12:10 jgv Status assigned => resolved
2021-09-01 12:11 jgv Note Added: 0103614
2021-09-01 12:11 jgv Assigned To jgv => bugmaster
2021-09-01 12:11 jgv Status resolved => reviewed
2021-09-01 12:11 jgv Product Version 6.9.0 => 7.6.0
2021-09-01 12:24 msv Product Version 7.6.0 => 6.9.0
2021-09-01 12:24 msv Target Version Unscheduled => 7.6.0
2021-09-02 18:34 jgv Note Added: 0103691
2021-09-04 14:25 smoskvin Note Added: 0103756
2021-09-04 14:25 smoskvin Status reviewed => tested
2021-09-04 14:36 bugmaster Changeset attached => occt master 4391df89
2021-09-04 14:36 bugmaster Status tested => verified
2021-09-04 14:36 bugmaster Resolution open => fixed
2021-09-04 14:59 git Note Added: 0103779
2021-09-04 16:22 smoskvin Test case number => tests/lowalgos/extcc/bug26269_1,bug26269_2,bug29712_13,bug29712_21,bug29712_22,bug29712_24,bug29712_25,bug29712_29,bug29712_3,bug29712_32,bug29712_37,bug29712_5
2022-03-19 17:18 azv Relationship added parent of 0032874